#
# spec file for package xf (Version 4.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl_old tk_old

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xf
Release:      17
Copyright:    1992-1996 Sven Delmas
Group: 
Provides:     xf 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      4.0
Summary:      Interface builder for TCL/TK
Source: xf.tar.gz
Patch: xf.dif
%description
XF allows you to interactively create and modify an user-interface
based on the Tcl/Tk package. Tcl/tk (version 4.0 or later) is needed
to run XF. XF creates a Tcl/Tk script as its output, which can then be
interpreted using wish or any other Tcl/Tk intepreter.
See: /usr/doc/packages/xf.
A HTML-Documentation for XF and TCL/Tk is also included.
The new version xf4.0 is configured for the use with Tcl/Tk 7.5/4.1.

Authors:
--------
    Sven Delmas <sven@cimetrix.com>

%prep
%setup -n xf
%patch
rm Help/TclTk/tclFAQ/tk+scripts/tkUsageFaq2html.awk.orig
rm Help/TclTk/tclFAQ/commercial+scripts/commU0.awk.orig
rm Help/TclTk/tclFAQ/commercial+scripts/commU2html.awk.orig
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/xf
/usr/lib/xf4.0
/usr/X11R6/bin/strip_bw
/usr/X11R6/bin/xf
/usr/X11R6/bin/xfappdef
/usr/X11R6/bin/xfhardcopy
/usr/X11R6/bin/xftutorial
%doc /usr/doc/packages/xf/ACKS
%doc /usr/doc/packages/xf/About
%doc /usr/doc/packages/xf/Bugs
%doc /usr/doc/packages/xf/COPYRIGHT
%doc /usr/doc/packages/xf/FAQ.config
%doc /usr/doc/packages/xf/FAQ.install
%doc /usr/doc/packages/xf/FAQ.running
%doc /usr/doc/packages/xf/Help
%doc /usr/doc/packages/xf/INSTALL
%doc /usr/doc/packages/xf/INSTALL.NT
%doc /usr/doc/packages/xf/MAILLIST
%doc /usr/doc/packages/xf/README
# %doc /usr/doc/packages/xf/README.SuSE
%doc /usr/doc/packages/xf/TODO
%doc /usr/doc/packages/xf/Version
# %config /usr/lib/xf4.0/xf.ad
%doc /usr/man/man1/xf.1.gz
%doc /usr/man/man1/xfappdef.1.gz
%doc /usr/man/man1/xftutorial.1.gz

